Fedora 19 : subversion-1.7.13-1.fc19 (2013-15717)

Low Nessus Plugin ID 69814


The remote Fedora host is missing a security update.


This update includes the latest stable release of Apache Subversion 1.7, version 1.7.13. One security vulnerability is fixed in this update :

svnserve takes a --pid-file option which creates a file containing the process id it is running as. It does not take steps to ensure that the file it has been directed at is not a symlink. If the pid file is in a directory writeable by unprivileged users, the destination could be replaced by a symlink allowing for privilege escalation. svnserve does not create a pid file by default. (CVE-2013-4277)

Several bug fixes are also included :

- merge: fix bogus mergeinfo with conflicting file merges

- diff: fix duplicated path component in '--summarize' output

- mod_dav_svn: better status codes for commit failures

- mod_dav_svn: do not map requests to filesystem

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected subversion package.

See Also



Plugin Details

Severity: Low

ID: 69814

File Name: fedora_2013-15717.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2013/09/08

Modified: 2015/10/19

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 3.3

Vector: CVSS2#AV:L/AC:M/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:subversion, cpe:/o:fedoraproject:fedora:19

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2013/09/03

Reference Information

CVE: CVE-2013-4277

FEDORA: 2013-15717